]> git.sur5r.net Git - freertos/commitdiff
Add back some files essential for the PIC32MZ build.
authorrtel <rtel@1d2547de-c912-0410-9cb9-b8ca96c0e9e2>
Wed, 24 Jun 2015 16:49:21 +0000 (16:49 +0000)
committerrtel <rtel@1d2547de-c912-0410-9cb9-b8ca96c0e9e2>
Wed, 24 Jun 2015 16:49:21 +0000 (16:49 +0000)
git-svn-id: https://svn.code.sf.net/p/freertos/code/trunk@2354 1d2547de-c912-0410-9cb9-b8ca96c0e9e2

12 files changed:
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/Makefile [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-PIC32MZ2048_SK.mk [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-genesis.properties [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-impl.mk [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-local-PIC32MZ2048_SK.mk [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-variables.mk [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Package-PIC32MZ2048_SK.bash [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/configurations.xml [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/configurations.xml [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/private.xml [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.properties [new file with mode: 0644]
FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.xml [new file with mode: 0644]

diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/Makefile b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/Makefile
new file mode 100644 (file)
index 0000000..05a3fb1
--- /dev/null
@@ -0,0 +1,108 @@
+#
+#  There exist several targets which are by default empty and which can be 
+#  used for execution of your targets. These targets are usually executed 
+#  before and after some main targets. They are: 
+#
+#     .build-pre:              called before 'build' target
+#     .build-post:             called after 'build' target
+#     .clean-pre:              called before 'clean' target
+#     .clean-post:             called after 'clean' target
+#     .clobber-pre:            called before 'clobber' target
+#     .clobber-post:           called after 'clobber' target
+#     .all-pre:                called before 'all' target
+#     .all-post:               called after 'all' target
+#     .help-pre:               called before 'help' target
+#     .help-post:              called after 'help' target
+#
+#  Targets beginning with '.' are not intended to be called on their own.
+#
+#  Main targets can be executed directly, and they are:
+#  
+#     build                    build a specific configuration
+#     clean                    remove built files from a configuration
+#     clobber                  remove all built files
+#     all                      build all configurations
+#     help                     print help mesage
+#  
+#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
+#  .help-impl are implemented in nbproject/makefile-impl.mk.
+#
+#  Available make variables:
+#
+#     CND_BASEDIR                base directory for relative paths
+#     CND_DISTDIR                default top distribution directory (build artifacts)
+#     CND_BUILDDIR               default top build directory (object files, ...)
+#     CONF                       name of current configuration
+#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
+#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
+#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
+#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
+#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
+#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
+#
+# NOCDDL
+
+
+# Environment 
+MKDIR=mkdir
+CP=cp
+CCADMIN=CCadmin
+RANLIB=ranlib
+
+
+# build
+build: .build-post
+
+.build-pre:
+# Add your pre 'build' code here...
+
+.build-post: .build-impl
+# Add your post 'build' code here...
+
+
+# clean
+clean: .clean-post
+
+.clean-pre:
+# Add your pre 'clean' code here...
+
+.clean-post: .clean-impl
+# Add your post 'clean' code here...
+
+
+# clobber
+clobber: .clobber-post
+
+.clobber-pre:
+# Add your pre 'clobber' code here...
+
+.clobber-post: .clobber-impl
+# Add your post 'clobber' code here...
+
+
+# all
+all: .all-post
+
+.all-pre:
+# Add your pre 'all' code here...
+
+.all-post: .all-impl
+# Add your post 'all' code here...
+
+
+# help
+help: .help-post
+
+.help-pre:
+# Add your pre 'help' code here...
+
+.help-post: .help-impl
+# Add your post 'help' code here...
+
+
+
+# include project implementation makefile
+include nbproject/Makefile-impl.mk
+
+# include project make variables
+include nbproject/Makefile-variables.mk
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-PIC32MZ2048_SK.mk b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-PIC32MZ2048_SK.mk
new file mode 100644 (file)
index 0000000..44af099
--- /dev/null
@@ -0,0 +1,533 @@
+#
+# Generated Makefile - do not edit!
+#
+# Edit the Makefile in the project folder instead (../Makefile). Each target
+# has a -pre and a -post target defined where you can add customized code.
+#
+# This makefile implements configuration specific macros and targets.
+
+
+# Include project Makefile
+ifeq "${IGNORE_LOCAL}" "TRUE"
+# do not include local makefile. User is passing all local related variables already
+else
+include Makefile
+# Include makefile containing local settings
+ifeq "$(wildcard nbproject/Makefile-local-PIC32MZ2048_SK.mk)" "nbproject/Makefile-local-PIC32MZ2048_SK.mk"
+include nbproject/Makefile-local-PIC32MZ2048_SK.mk
+endif
+endif
+
+# Environment
+MKDIR=gnumkdir -p
+RM=rm -f 
+MV=mv 
+CP=cp 
+
+# Macros
+CND_CONF=PIC32MZ2048_SK
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+IMAGE_TYPE=debug
+OUTPUT_SUFFIX=elf
+DEBUGGABLE_SUFFIX=elf
+FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
+else
+IMAGE_TYPE=production
+OUTPUT_SUFFIX=hex
+DEBUGGABLE_SUFFIX=elf
+FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
+endif
+
+# Object Directory
+OBJECTDIR=build/${CND_CONF}/${IMAGE_TYPE}
+
+# Distribution Directory
+DISTDIR=dist/${CND_CONF}/${IMAGE_TYPE}
+
+# Source Files Quoted if spaced
+SOURCEFILES_QUOTED_IF_SPACED=../../Common/Minimal/GenQTest.c ../../Common/Minimal/QPeek.c ../../Common/Minimal/blocktim.c ../../Common/Minimal/flash_timer.c ../../Common/Minimal/semtest.c ../../Common/Minimal/IntQueue.c ../../Common/Minimal/QueueOverwrite.c ../../Common/Minimal/QueueSet.c ../../Common/Minimal/countsem.c ../../Common/Minimal/dynamic.c ../../Common/Minimal/recmutex.c ../../Common/Minimal/EventGroupsDemo.c ../../../Source/queue.c ../../../Source/tasks.c ../../../Source/list.c ../../../Source/timers.c ../../../Source/portable/MPLAB/PIC32MZ/port.c ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S ../../../Source/portable/MemMang/heap_4.c ../../../Source/event_groups.c ../main.c ../ParTest/ParTest.c ../main_blinky.c ../ConfigPerformance.c ../main_full.c ../RegisterTestTasks.S ../IntQueueTimer.c ../IntQueueTimer_isr.S ../timertest.c ../timertest_isr.S ../ISRTriggeredTask.c ../ISRTriggeredTask_isr.S
+
+# Object Files Quoted if spaced
+OBJECTFILES_QUOTED_IF_SPACED=${OBJECTDIR}/_ext/1163846883/GenQTest.o ${OBJECTDIR}/_ext/1163846883/QPeek.o ${OBJECTDIR}/_ext/1163846883/blocktim.o ${OBJECTDIR}/_ext/1163846883/flash_timer.o ${OBJECTDIR}/_ext/1163846883/semtest.o ${OBJECTDIR}/_ext/1163846883/IntQueue.o ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o ${OBJECTDIR}/_ext/1163846883/QueueSet.o ${OBJECTDIR}/_ext/1163846883/countsem.o ${OBJECTDIR}/_ext/1163846883/dynamic.o ${OBJECTDIR}/_ext/1163846883/recmutex.o ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o ${OBJECTDIR}/_ext/449926602/queue.o ${OBJECTDIR}/_ext/449926602/tasks.o ${OBJECTDIR}/_ext/449926602/list.o ${OBJECTDIR}/_ext/449926602/timers.o ${OBJECTDIR}/_ext/332309698/port.o ${OBJECTDIR}/_ext/332309698/port_asm.o ${OBJECTDIR}/_ext/1884096877/heap_4.o ${OBJECTDIR}/_ext/449926602/event_groups.o ${OBJECTDIR}/_ext/1472/main.o ${OBJECTDIR}/_ext/809743516/ParTest.o ${OBJECTDIR}/_ext/1472/main_blinky.o ${OBJECTDIR}/_ext/1472/ConfigPerformance.o ${OBJECTDIR}/_ext/1472/main_full.o ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o ${OBJECTDIR}/_ext/1472/IntQueueTimer.o ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o ${OBJECTDIR}/_ext/1472/timertest.o ${OBJECTDIR}/_ext/1472/timertest_isr.o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o
+POSSIBLE_DEPFILES=${OBJECTDIR}/_ext/1163846883/GenQTest.o.d ${OBJECTDIR}/_ext/1163846883/QPeek.o.d ${OBJECTDIR}/_ext/1163846883/blocktim.o.d ${OBJECTDIR}/_ext/1163846883/flash_timer.o.d ${OBJECTDIR}/_ext/1163846883/semtest.o.d ${OBJECTDIR}/_ext/1163846883/IntQueue.o.d ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d ${OBJECTDIR}/_ext/1163846883/QueueSet.o.d ${OBJECTDIR}/_ext/1163846883/countsem.o.d ${OBJECTDIR}/_ext/1163846883/dynamic.o.d ${OBJECTDIR}/_ext/1163846883/recmutex.o.d ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d ${OBJECTDIR}/_ext/449926602/queue.o.d ${OBJECTDIR}/_ext/449926602/tasks.o.d ${OBJECTDIR}/_ext/449926602/list.o.d ${OBJECTDIR}/_ext/449926602/timers.o.d ${OBJECTDIR}/_ext/332309698/port.o.d ${OBJECTDIR}/_ext/332309698/port_asm.o.d ${OBJECTDIR}/_ext/1884096877/heap_4.o.d ${OBJECTDIR}/_ext/449926602/event_groups.o.d ${OBJECTDIR}/_ext/1472/main.o.d ${OBJECTDIR}/_ext/809743516/ParTest.o.d ${OBJECTDIR}/_ext/1472/main_blinky.o.d ${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d ${OBJECTDIR}/_ext/1472/main_full.o.d ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d ${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d ${OBJECTDIR}/_ext/1472/timertest.o.d ${OBJECTDIR}/_ext/1472/timertest_isr.o.d ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d
+
+# Object Files
+OBJECTFILES=${OBJECTDIR}/_ext/1163846883/GenQTest.o ${OBJECTDIR}/_ext/1163846883/QPeek.o ${OBJECTDIR}/_ext/1163846883/blocktim.o ${OBJECTDIR}/_ext/1163846883/flash_timer.o ${OBJECTDIR}/_ext/1163846883/semtest.o ${OBJECTDIR}/_ext/1163846883/IntQueue.o ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o ${OBJECTDIR}/_ext/1163846883/QueueSet.o ${OBJECTDIR}/_ext/1163846883/countsem.o ${OBJECTDIR}/_ext/1163846883/dynamic.o ${OBJECTDIR}/_ext/1163846883/recmutex.o ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o ${OBJECTDIR}/_ext/449926602/queue.o ${OBJECTDIR}/_ext/449926602/tasks.o ${OBJECTDIR}/_ext/449926602/list.o ${OBJECTDIR}/_ext/449926602/timers.o ${OBJECTDIR}/_ext/332309698/port.o ${OBJECTDIR}/_ext/332309698/port_asm.o ${OBJECTDIR}/_ext/1884096877/heap_4.o ${OBJECTDIR}/_ext/449926602/event_groups.o ${OBJECTDIR}/_ext/1472/main.o ${OBJECTDIR}/_ext/809743516/ParTest.o ${OBJECTDIR}/_ext/1472/main_blinky.o ${OBJECTDIR}/_ext/1472/ConfigPerformance.o ${OBJECTDIR}/_ext/1472/main_full.o ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o ${OBJECTDIR}/_ext/1472/IntQueueTimer.o ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o ${OBJECTDIR}/_ext/1472/timertest.o ${OBJECTDIR}/_ext/1472/timertest_isr.o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o
+
+# Source Files
+SOURCEFILES=../../Common/Minimal/GenQTest.c ../../Common/Minimal/QPeek.c ../../Common/Minimal/blocktim.c ../../Common/Minimal/flash_timer.c ../../Common/Minimal/semtest.c ../../Common/Minimal/IntQueue.c ../../Common/Minimal/QueueOverwrite.c ../../Common/Minimal/QueueSet.c ../../Common/Minimal/countsem.c ../../Common/Minimal/dynamic.c ../../Common/Minimal/recmutex.c ../../Common/Minimal/EventGroupsDemo.c ../../../Source/queue.c ../../../Source/tasks.c ../../../Source/list.c ../../../Source/timers.c ../../../Source/portable/MPLAB/PIC32MZ/port.c ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S ../../../Source/portable/MemMang/heap_4.c ../../../Source/event_groups.c ../main.c ../ParTest/ParTest.c ../main_blinky.c ../ConfigPerformance.c ../main_full.c ../RegisterTestTasks.S ../IntQueueTimer.c ../IntQueueTimer_isr.S ../timertest.c ../timertest_isr.S ../ISRTriggeredTask.c ../ISRTriggeredTask_isr.S
+
+
+CFLAGS=
+ASFLAGS=
+LDLIBSOPTIONS=
+
+############# Tool locations ##########################################
+# If you copy a project from one host to another, the path where the  #
+# compiler is installed may be different.                             #
+# If you open this project with MPLAB X in the new host, this         #
+# makefile will be regenerated and the paths will be corrected.       #
+#######################################################################
+# fixDeps replaces a bunch of sed/cat/printf statements that slow down the build
+FIXDEPS=fixDeps
+
+.build-conf:  ${BUILD_SUBPROJECTS}
+ifneq ($(INFORMATION_MESSAGE), )
+       @echo $(INFORMATION_MESSAGE)
+endif
+       ${MAKE}  -f nbproject/Makefile-PIC32MZ2048_SK.mk dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
+
+MP_PROCESSOR_OPTION=32MZ2048ECM144
+MP_LINKER_FILE_OPTION=
+# ------------------------------------------------------------------------------------
+# Rules for buildStep: assemble
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+else
+endif
+
+# ------------------------------------------------------------------------------------
+# Rules for buildStep: assembleWithPreprocess
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+${OBJECTDIR}/_ext/332309698/port_asm.o: ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/332309698" 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o.d 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o.ok ${OBJECTDIR}/_ext/332309698/port_asm.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/332309698/port_asm.o.d" "${OBJECTDIR}/_ext/332309698/port_asm.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/332309698/port_asm.o.d"  -o ${OBJECTDIR}/_ext/332309698/port_asm.o ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/332309698/port_asm.o.asm.d",--defsym=__ICD2RAM=1,--defsym=__MPLAB_DEBUG=1,--gdwarf-2,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/RegisterTestTasks.o: ../RegisterTestTasks.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.ok ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d" "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d"  -o ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o ../RegisterTestTasks.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.asm.d",--defsym=__ICD2RAM=1,--defsym=__MPLAB_DEBUG=1,--gdwarf-2,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o: ../IntQueueTimer_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.ok ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d" "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o ../IntQueueTimer_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.asm.d",--defsym=__ICD2RAM=1,--defsym=__MPLAB_DEBUG=1,--gdwarf-2,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/timertest_isr.o: ../timertest_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o.ok ${OBJECTDIR}/_ext/1472/timertest_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/timertest_isr.o.d" "${OBJECTDIR}/_ext/1472/timertest_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/timertest_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/timertest_isr.o ../timertest_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/timertest_isr.o.asm.d",--defsym=__ICD2RAM=1,--defsym=__MPLAB_DEBUG=1,--gdwarf-2,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o: ../ISRTriggeredTask_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.ok ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d" "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o ../ISRTriggeredTask_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.asm.d",--defsym=__ICD2RAM=1,--defsym=__MPLAB_DEBUG=1,--gdwarf-2,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+else
+${OBJECTDIR}/_ext/332309698/port_asm.o: ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/332309698" 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o.d 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port_asm.o.ok ${OBJECTDIR}/_ext/332309698/port_asm.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/332309698/port_asm.o.d" "${OBJECTDIR}/_ext/332309698/port_asm.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/332309698/port_asm.o.d"  -o ${OBJECTDIR}/_ext/332309698/port_asm.o ../../../Source/portable/MPLAB/PIC32MZ/port_asm.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/332309698/port_asm.o.asm.d",--gdwarf-2 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/RegisterTestTasks.o: ../RegisterTestTasks.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.ok ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d" "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.d"  -o ${OBJECTDIR}/_ext/1472/RegisterTestTasks.o ../RegisterTestTasks.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/RegisterTestTasks.o.asm.d",--gdwarf-2 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o: ../IntQueueTimer_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.ok ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d" "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o ../IntQueueTimer_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/IntQueueTimer_isr.o.asm.d",--gdwarf-2 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/timertest_isr.o: ../timertest_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest_isr.o.ok ${OBJECTDIR}/_ext/1472/timertest_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/timertest_isr.o.d" "${OBJECTDIR}/_ext/1472/timertest_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/timertest_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/timertest_isr.o ../timertest_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/timertest_isr.o.asm.d",--gdwarf-2 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o: ../ISRTriggeredTask_isr.S  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.ok ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.err 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d" "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.asm.d" -t $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC} $(MP_EXTRA_AS_PRE)  -c -mprocessor=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.d"  -o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o ../ISRTriggeredTask_isr.S  -Wa,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_AS_POST),-MD="${OBJECTDIR}/_ext/1472/ISRTriggeredTask_isr.o.asm.d",--gdwarf-2 -I../../../Source/portable/MPLAB/PIC32MZ -I../
+       
+endif
+
+# ------------------------------------------------------------------------------------
+# Rules for buildStep: compile
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+${OBJECTDIR}/_ext/1163846883/GenQTest.o: ../../Common/Minimal/GenQTest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/GenQTest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/GenQTest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/GenQTest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/GenQTest.o.d" -o ${OBJECTDIR}/_ext/1163846883/GenQTest.o ../../Common/Minimal/GenQTest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QPeek.o: ../../Common/Minimal/QPeek.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QPeek.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QPeek.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QPeek.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QPeek.o.d" -o ${OBJECTDIR}/_ext/1163846883/QPeek.o ../../Common/Minimal/QPeek.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/blocktim.o: ../../Common/Minimal/blocktim.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/blocktim.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/blocktim.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/blocktim.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/blocktim.o.d" -o ${OBJECTDIR}/_ext/1163846883/blocktim.o ../../Common/Minimal/blocktim.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/flash_timer.o: ../../Common/Minimal/flash_timer.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/flash_timer.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/flash_timer.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/flash_timer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/flash_timer.o.d" -o ${OBJECTDIR}/_ext/1163846883/flash_timer.o ../../Common/Minimal/flash_timer.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/semtest.o: ../../Common/Minimal/semtest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/semtest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/semtest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/semtest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/semtest.o.d" -o ${OBJECTDIR}/_ext/1163846883/semtest.o ../../Common/Minimal/semtest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/IntQueue.o: ../../Common/Minimal/IntQueue.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/IntQueue.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/IntQueue.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/IntQueue.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/IntQueue.o.d" -o ${OBJECTDIR}/_ext/1163846883/IntQueue.o ../../Common/Minimal/IntQueue.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o: ../../Common/Minimal/QueueOverwrite.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d" -o ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o ../../Common/Minimal/QueueOverwrite.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QueueSet.o: ../../Common/Minimal/QueueSet.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueSet.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueSet.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QueueSet.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QueueSet.o.d" -o ${OBJECTDIR}/_ext/1163846883/QueueSet.o ../../Common/Minimal/QueueSet.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/countsem.o: ../../Common/Minimal/countsem.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/countsem.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/countsem.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/countsem.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/countsem.o.d" -o ${OBJECTDIR}/_ext/1163846883/countsem.o ../../Common/Minimal/countsem.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/dynamic.o: ../../Common/Minimal/dynamic.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/dynamic.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/dynamic.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/dynamic.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/dynamic.o.d" -o ${OBJECTDIR}/_ext/1163846883/dynamic.o ../../Common/Minimal/dynamic.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/recmutex.o: ../../Common/Minimal/recmutex.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/recmutex.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/recmutex.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/recmutex.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/recmutex.o.d" -o ${OBJECTDIR}/_ext/1163846883/recmutex.o ../../Common/Minimal/recmutex.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o: ../../Common/Minimal/EventGroupsDemo.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d" -o ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o ../../Common/Minimal/EventGroupsDemo.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/queue.o: ../../../Source/queue.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/queue.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/queue.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/queue.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/queue.o.d" -o ${OBJECTDIR}/_ext/449926602/queue.o ../../../Source/queue.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/tasks.o: ../../../Source/tasks.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/tasks.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/tasks.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/tasks.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/tasks.o.d" -o ${OBJECTDIR}/_ext/449926602/tasks.o ../../../Source/tasks.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/list.o: ../../../Source/list.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/list.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/list.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/list.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/list.o.d" -o ${OBJECTDIR}/_ext/449926602/list.o ../../../Source/list.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/timers.o: ../../../Source/timers.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/timers.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/timers.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/timers.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/timers.o.d" -o ${OBJECTDIR}/_ext/449926602/timers.o ../../../Source/timers.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/332309698/port.o: ../../../Source/portable/MPLAB/PIC32MZ/port.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/332309698" 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port.o.d 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/332309698/port.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/332309698/port.o.d" -o ${OBJECTDIR}/_ext/332309698/port.o ../../../Source/portable/MPLAB/PIC32MZ/port.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1884096877/heap_4.o: ../../../Source/portable/MemMang/heap_4.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1884096877" 
+       @${RM} ${OBJECTDIR}/_ext/1884096877/heap_4.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1884096877/heap_4.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1884096877/heap_4.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1884096877/heap_4.o.d" -o ${OBJECTDIR}/_ext/1884096877/heap_4.o ../../../Source/portable/MemMang/heap_4.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/event_groups.o: ../../../Source/event_groups.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/event_groups.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/event_groups.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/event_groups.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/event_groups.o.d" -o ${OBJECTDIR}/_ext/449926602/event_groups.o ../../../Source/event_groups.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main.o: ../main.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main.o.d" -o ${OBJECTDIR}/_ext/1472/main.o ../main.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/809743516/ParTest.o: ../ParTest/ParTest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/809743516" 
+       @${RM} ${OBJECTDIR}/_ext/809743516/ParTest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/809743516/ParTest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/809743516/ParTest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/809743516/ParTest.o.d" -o ${OBJECTDIR}/_ext/809743516/ParTest.o ../ParTest/ParTest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main_blinky.o: ../main_blinky.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_blinky.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_blinky.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main_blinky.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main_blinky.o.d" -o ${OBJECTDIR}/_ext/1472/main_blinky.o ../main_blinky.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/ConfigPerformance.o: ../ConfigPerformance.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ConfigPerformance.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d" -o ${OBJECTDIR}/_ext/1472/ConfigPerformance.o ../ConfigPerformance.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main_full.o: ../main_full.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_full.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_full.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main_full.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main_full.o.d" -o ${OBJECTDIR}/_ext/1472/main_full.o ../main_full.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/IntQueueTimer.o: ../IntQueueTimer.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d" -o ${OBJECTDIR}/_ext/1472/IntQueueTimer.o ../IntQueueTimer.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/timertest.o: ../timertest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/timertest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/timertest.o.d" -o ${OBJECTDIR}/_ext/1472/timertest.o ../timertest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o: ../ISRTriggeredTask.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE) -g -D__DEBUG -D__MPLAB_DEBUGGER_PK3=1 -fframe-base-loclist  -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d" -o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o ../ISRTriggeredTask.c    -Wall -Wextra
+       
+else
+${OBJECTDIR}/_ext/1163846883/GenQTest.o: ../../Common/Minimal/GenQTest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/GenQTest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/GenQTest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/GenQTest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/GenQTest.o.d" -o ${OBJECTDIR}/_ext/1163846883/GenQTest.o ../../Common/Minimal/GenQTest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QPeek.o: ../../Common/Minimal/QPeek.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QPeek.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QPeek.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QPeek.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QPeek.o.d" -o ${OBJECTDIR}/_ext/1163846883/QPeek.o ../../Common/Minimal/QPeek.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/blocktim.o: ../../Common/Minimal/blocktim.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/blocktim.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/blocktim.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/blocktim.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/blocktim.o.d" -o ${OBJECTDIR}/_ext/1163846883/blocktim.o ../../Common/Minimal/blocktim.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/flash_timer.o: ../../Common/Minimal/flash_timer.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/flash_timer.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/flash_timer.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/flash_timer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/flash_timer.o.d" -o ${OBJECTDIR}/_ext/1163846883/flash_timer.o ../../Common/Minimal/flash_timer.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/semtest.o: ../../Common/Minimal/semtest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/semtest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/semtest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/semtest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/semtest.o.d" -o ${OBJECTDIR}/_ext/1163846883/semtest.o ../../Common/Minimal/semtest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/IntQueue.o: ../../Common/Minimal/IntQueue.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/IntQueue.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/IntQueue.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/IntQueue.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/IntQueue.o.d" -o ${OBJECTDIR}/_ext/1163846883/IntQueue.o ../../Common/Minimal/IntQueue.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o: ../../Common/Minimal/QueueOverwrite.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o.d" -o ${OBJECTDIR}/_ext/1163846883/QueueOverwrite.o ../../Common/Minimal/QueueOverwrite.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/QueueSet.o: ../../Common/Minimal/QueueSet.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueSet.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/QueueSet.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/QueueSet.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/QueueSet.o.d" -o ${OBJECTDIR}/_ext/1163846883/QueueSet.o ../../Common/Minimal/QueueSet.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/countsem.o: ../../Common/Minimal/countsem.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/countsem.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/countsem.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/countsem.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/countsem.o.d" -o ${OBJECTDIR}/_ext/1163846883/countsem.o ../../Common/Minimal/countsem.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/dynamic.o: ../../Common/Minimal/dynamic.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/dynamic.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/dynamic.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/dynamic.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/dynamic.o.d" -o ${OBJECTDIR}/_ext/1163846883/dynamic.o ../../Common/Minimal/dynamic.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/recmutex.o: ../../Common/Minimal/recmutex.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/recmutex.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/recmutex.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/recmutex.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/recmutex.o.d" -o ${OBJECTDIR}/_ext/1163846883/recmutex.o ../../Common/Minimal/recmutex.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o: ../../Common/Minimal/EventGroupsDemo.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1163846883" 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o.d" -o ${OBJECTDIR}/_ext/1163846883/EventGroupsDemo.o ../../Common/Minimal/EventGroupsDemo.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/queue.o: ../../../Source/queue.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/queue.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/queue.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/queue.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/queue.o.d" -o ${OBJECTDIR}/_ext/449926602/queue.o ../../../Source/queue.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/tasks.o: ../../../Source/tasks.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/tasks.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/tasks.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/tasks.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/tasks.o.d" -o ${OBJECTDIR}/_ext/449926602/tasks.o ../../../Source/tasks.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/list.o: ../../../Source/list.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/list.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/list.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/list.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/list.o.d" -o ${OBJECTDIR}/_ext/449926602/list.o ../../../Source/list.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/timers.o: ../../../Source/timers.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/timers.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/timers.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/timers.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/timers.o.d" -o ${OBJECTDIR}/_ext/449926602/timers.o ../../../Source/timers.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/332309698/port.o: ../../../Source/portable/MPLAB/PIC32MZ/port.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/332309698" 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port.o.d 
+       @${RM} ${OBJECTDIR}/_ext/332309698/port.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/332309698/port.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/332309698/port.o.d" -o ${OBJECTDIR}/_ext/332309698/port.o ../../../Source/portable/MPLAB/PIC32MZ/port.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1884096877/heap_4.o: ../../../Source/portable/MemMang/heap_4.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1884096877" 
+       @${RM} ${OBJECTDIR}/_ext/1884096877/heap_4.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1884096877/heap_4.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1884096877/heap_4.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1884096877/heap_4.o.d" -o ${OBJECTDIR}/_ext/1884096877/heap_4.o ../../../Source/portable/MemMang/heap_4.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/449926602/event_groups.o: ../../../Source/event_groups.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/449926602" 
+       @${RM} ${OBJECTDIR}/_ext/449926602/event_groups.o.d 
+       @${RM} ${OBJECTDIR}/_ext/449926602/event_groups.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/449926602/event_groups.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/449926602/event_groups.o.d" -o ${OBJECTDIR}/_ext/449926602/event_groups.o ../../../Source/event_groups.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main.o: ../main.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main.o.d" -o ${OBJECTDIR}/_ext/1472/main.o ../main.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/809743516/ParTest.o: ../ParTest/ParTest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/809743516" 
+       @${RM} ${OBJECTDIR}/_ext/809743516/ParTest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/809743516/ParTest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/809743516/ParTest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/809743516/ParTest.o.d" -o ${OBJECTDIR}/_ext/809743516/ParTest.o ../ParTest/ParTest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main_blinky.o: ../main_blinky.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_blinky.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_blinky.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main_blinky.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main_blinky.o.d" -o ${OBJECTDIR}/_ext/1472/main_blinky.o ../main_blinky.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/ConfigPerformance.o: ../ConfigPerformance.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ConfigPerformance.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/ConfigPerformance.o.d" -o ${OBJECTDIR}/_ext/1472/ConfigPerformance.o ../ConfigPerformance.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/main_full.o: ../main_full.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_full.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/main_full.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/main_full.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/main_full.o.d" -o ${OBJECTDIR}/_ext/1472/main_full.o ../main_full.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/IntQueueTimer.o: ../IntQueueTimer.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/IntQueueTimer.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/IntQueueTimer.o.d" -o ${OBJECTDIR}/_ext/1472/IntQueueTimer.o ../IntQueueTimer.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/timertest.o: ../timertest.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/timertest.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/timertest.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/timertest.o.d" -o ${OBJECTDIR}/_ext/1472/timertest.o ../timertest.c    -Wall -Wextra
+       
+${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o: ../ISRTriggeredTask.c  nbproject/Makefile-${CND_CONF}.mk
+       @${MKDIR} "${OBJECTDIR}/_ext/1472" 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d 
+       @${RM} ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o 
+       @${FIXDEPS} "${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d" $(SILENT) -rsi ${MP_CC_DIR}../  -c ${MP_CC}  $(MP_EXTRA_CC_PRE)  -g -x c -c -mprocessor=$(MP_PROCESSOR_OPTION)  -I"../../../Source/include" -I"../../../Source/portable/MPLAB/PIC32MZ" -I"../../Common/include" -I"../" -Wall -MMD -MF "${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o.d" -o ${OBJECTDIR}/_ext/1472/ISRTriggeredTask.o ../ISRTriggeredTask.c    -Wall -Wextra
+       
+endif
+
+# ------------------------------------------------------------------------------------
+# Rules for buildStep: compileCPP
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+else
+endif
+
+# ------------------------------------------------------------------------------------
+# Rules for buildStep: link
+ifeq ($(TYPE_IMAGE), DEBUG_RUN)
+dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk    
+       @${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
+       ${MP_CC} $(MP_EXTRA_LD_PRE)  -mdebugger -D__MPLAB_DEBUGGER_PK3=1 -mprocessor=$(MP_PROCESSOR_OPTION)  -o dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX} ${OBJECTFILES_QUOTED_IF_SPACED}           -mreserve=data@0x0:0x27F   -Wl,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_LD_POST)$(MP_LINKER_FILE_OPTION),--defsym=__MPLAB_DEBUG=1,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_PK3=1,--defsym=_min_heap_size=0,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"
+       
+else
+dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk   
+       @${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
+       ${MP_CC} $(MP_EXTRA_LD_PRE)  -mprocessor=$(MP_PROCESSOR_OPTION)  -o dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX} ${OBJECTFILES_QUOTED_IF_SPACED}          -Wl,--defsym=__MPLAB_BUILD=1$(MP_EXTRA_LD_POST)$(MP_LINKER_FILE_OPTION),--defsym=_min_heap_size=0,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"
+       ${MP_CC_DIR}\\xc32-bin2hex dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX} 
+endif
+
+
+# Subprojects
+.build-subprojects:
+
+
+# Subprojects
+.clean-subprojects:
+
+# Clean Targets
+.clean-conf: ${CLEAN_SUBPROJECTS}
+       ${RM} -r build/PIC32MZ2048_SK
+       ${RM} -r dist/PIC32MZ2048_SK
+
+# Enable dependency checking
+.dep.inc: .depcheck-impl
+
+DEPFILES=$(shell mplabwildcard ${POSSIBLE_DEPFILES})
+ifneq (${DEPFILES},)
+include ${DEPFILES}
+endif
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-genesis.properties b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-genesis.properties
new file mode 100644 (file)
index 0000000..30ef2f1
--- /dev/null
@@ -0,0 +1,8 @@
+#\r
+#Wed Jan 14 19:25:35 GMT 2015\r
+PIC32MZ2048_SK.languagetoolchain.dir=C\:\\DevTools\\Microchip\\xc32\\v1.34\\bin\r
+PIC32MZ2048_SK.languagetoolchain.version=1.34\r
+com-microchip-mplab-nbide-embedded-makeproject-MakeProject.md5=d73bd66f11f6ea6d7c6dc1b9c424aa07\r
+host.platform=windows\r
+conf.ids=PIC32MZ2048_SK\r
+PIC32MZ2048_SK.com-microchip-mplab-nbide-toolchainXC32-XC32LanguageToolchain.md5=656b15d7ce81905cc6c1e79939101b1d\r
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-impl.mk b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-impl.mk
new file mode 100644 (file)
index 0000000..da02e68
--- /dev/null
@@ -0,0 +1,69 @@
+#
+# Generated Makefile - do not edit!
+#
+# Edit the Makefile in the project folder instead (../Makefile). Each target
+# has a pre- and a post- target defined where you can add customization code.
+#
+# This makefile implements macros and targets common to all configurations.
+#
+# NOCDDL
+
+
+# Building and Cleaning subprojects are done by default, but can be controlled with the SUB
+# macro. If SUB=no, subprojects will not be built or cleaned. The following macro
+# statements set BUILD_SUB-CONF and CLEAN_SUB-CONF to .build-reqprojects-conf
+# and .clean-reqprojects-conf unless SUB has the value 'no'
+SUB_no=NO
+SUBPROJECTS=${SUB_${SUB}}
+BUILD_SUBPROJECTS_=.build-subprojects
+BUILD_SUBPROJECTS_NO=
+BUILD_SUBPROJECTS=${BUILD_SUBPROJECTS_${SUBPROJECTS}}
+CLEAN_SUBPROJECTS_=.clean-subprojects
+CLEAN_SUBPROJECTS_NO=
+CLEAN_SUBPROJECTS=${CLEAN_SUBPROJECTS_${SUBPROJECTS}}
+
+
+# Project Name
+PROJECTNAME=RTOSDemo.X
+
+# Active Configuration
+DEFAULTCONF=PIC32MZ2048_SK
+CONF=${DEFAULTCONF}
+
+# All Configurations
+ALLCONFS=PIC32MZ2048_SK 
+
+
+# build
+.build-impl: .build-pre
+       ${MAKE} -f nbproject/Makefile-${CONF}.mk SUBPROJECTS=${SUBPROJECTS} .build-conf
+
+
+# clean
+.clean-impl: .clean-pre
+       ${MAKE} -f nbproject/Makefile-${CONF}.mk SUBPROJECTS=${SUBPROJECTS} .clean-conf
+
+# clobber
+.clobber-impl: .clobber-pre .depcheck-impl
+           ${MAKE} SUBPROJECTS=${SUBPROJECTS} CONF=PIC32MZ2048_SK clean
+
+
+
+# all
+.all-impl: .all-pre .depcheck-impl
+           ${MAKE} SUBPROJECTS=${SUBPROJECTS} CONF=PIC32MZ2048_SK build
+
+
+
+# dependency checking support
+.depcheck-impl:
+#      @echo "# This code depends on make tool being used" >.dep.inc
+#      @if [ -n "${MAKE_VERSION}" ]; then \
+#          echo "DEPFILES=\$$(wildcard \$$(addsuffix .d, \$${OBJECTFILES}))" >>.dep.inc; \
+#          echo "ifneq (\$${DEPFILES},)" >>.dep.inc; \
+#          echo "include \$${DEPFILES}" >>.dep.inc; \
+#          echo "endif" >>.dep.inc; \
+#      else \
+#          echo ".KEEP_STATE:" >>.dep.inc; \
+#          echo ".KEEP_STATE_FILE:.make.state.\$${CONF}" >>.dep.inc; \
+#      fi
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-local-PIC32MZ2048_SK.mk b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-local-PIC32MZ2048_SK.mk
new file mode 100644 (file)
index 0000000..52ce9eb
--- /dev/null
@@ -0,0 +1,37 @@
+#
+# Generated Makefile - do not edit!
+#
+#
+# This file contains information about the location of compilers and other tools.
+# If you commmit this file into your revision control server, you will be able to 
+# to checkout the project and build it from the command line with make. However,
+# if more than one person works on the same project, then this file might show
+# conflicts since different users are bound to have compilers in different places.
+# In that case you might choose to not commit this file and let MPLAB X recreate this file
+# for each user. The disadvantage of not commiting this file is that you must run MPLAB X at
+# least once so the file gets created and the project can be built. Finally, you can also
+# avoid using this file at all if you are only building from the command line with make.
+# You can invoke make with the values of the macros:
+# $ makeMP_CC="/opt/microchip/mplabc30/v3.30c/bin/pic30-gcc" ...  
+#
+SHELL=cmd.exe
+PATH_TO_IDE_BIN=C:/DevTools/Microchip/MPLABX/mplab_ide/mplab_ide/modules/../../bin/
+# Adding MPLAB X bin directory to path.
+PATH:=C:/DevTools/Microchip/MPLABX/mplab_ide/mplab_ide/modules/../../bin/:$(PATH)
+# Path to java used to run MPLAB X when this makefile was created
+MP_JAVA_PATH="C:\DevTools\Microchip\MPLABX\sys\java\jre1.7.0_67/bin/"
+OS_CURRENT="$(shell uname -s)"
+MP_CC="C:\DevTools\Microchip\xc32\v1.34\bin\xc32-gcc.exe"
+MP_CPPC="C:\DevTools\Microchip\xc32\v1.34\bin\xc32-g++.exe"
+# MP_BC is not defined
+MP_AS="C:\DevTools\Microchip\xc32\v1.34\bin\xc32-as.exe"
+MP_LD="C:\DevTools\Microchip\xc32\v1.34\bin\xc32-ld.exe"
+MP_AR="C:\DevTools\Microchip\xc32\v1.34\bin\xc32-ar.exe"
+DEP_GEN=${MP_JAVA_PATH}java -jar "C:/DevTools/Microchip/MPLABX/mplab_ide/mplab_ide/modules/../../bin/extractobjectdependencies.jar"
+MP_CC_DIR="C:\DevTools\Microchip\xc32\v1.34\bin"
+MP_CPPC_DIR="C:\DevTools\Microchip\xc32\v1.34\bin"
+# MP_BC_DIR is not defined
+MP_AS_DIR="C:\DevTools\Microchip\xc32\v1.34\bin"
+MP_LD_DIR="C:\DevTools\Microchip\xc32\v1.34\bin"
+MP_AR_DIR="C:\DevTools\Microchip\xc32\v1.34\bin"
+# MP_BC_DIR is not defined
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-variables.mk b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Makefile-variables.mk
new file mode 100644 (file)
index 0000000..571e551
--- /dev/null
@@ -0,0 +1,13 @@
+#
+# Generated - do not edit!
+#
+# NOCDDL
+#
+CND_BASEDIR=`pwd`
+# PIC32MZ2048_SK configuration
+CND_ARTIFACT_DIR_PIC32MZ2048_SK=dist/PIC32MZ2048_SK/production
+CND_ARTIFACT_NAME_PIC32MZ2048_SK=RTOSDemo.X.production.hex
+CND_ARTIFACT_PATH_PIC32MZ2048_SK=dist/PIC32MZ2048_SK/production/RTOSDemo.X.production.hex
+CND_PACKAGE_DIR_PIC32MZ2048_SK=${CND_DISTDIR}/PIC32MZ2048_SK/package
+CND_PACKAGE_NAME_PIC32MZ2048_SK=rtosdemo.x.tar
+CND_PACKAGE_PATH_PIC32MZ2048_SK=${CND_DISTDIR}/PIC32MZ2048_SK/package/rtosdemo.x.tar
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Package-PIC32MZ2048_SK.bash b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/Package-PIC32MZ2048_SK.bash
new file mode 100644 (file)
index 0000000..aa05477
--- /dev/null
@@ -0,0 +1,73 @@
+#!/bin/bash -x
+
+#
+# Generated - do not edit!
+#
+
+# Macros
+TOP=`pwd`
+CND_CONF=PIC32MZ2048_SK
+CND_DISTDIR=dist
+TMPDIR=build/${CND_CONF}/${IMAGE_TYPE}/tmp-packaging
+TMPDIRNAME=tmp-packaging
+OUTPUT_PATH=dist/${CND_CONF}/${IMAGE_TYPE}/RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
+OUTPUT_BASENAME=RTOSDemo.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
+PACKAGE_TOP_DIR=rtosdemo.x/
+
+# Functions
+function checkReturnCode
+{
+    rc=$?
+    if [ $rc != 0 ]
+    then
+        exit $rc
+    fi
+}
+function makeDirectory
+# $1 directory path
+# $2 permission (optional)
+{
+    mkdir -p "$1"
+    checkReturnCode
+    if [ "$2" != "" ]
+    then
+      chmod $2 "$1"
+      checkReturnCode
+    fi
+}
+function copyFileToTmpDir
+# $1 from-file path
+# $2 to-file path
+# $3 permission
+{
+    cp "$1" "$2"
+    checkReturnCode
+    if [ "$3" != "" ]
+    then
+        chmod $3 "$2"
+        checkReturnCode
+    fi
+}
+
+# Setup
+cd "${TOP}"
+mkdir -p ${CND_DISTDIR}/${CND_CONF}/package
+rm -rf ${TMPDIR}
+mkdir -p ${TMPDIR}
+
+# Copy files and create directories and links
+cd "${TOP}"
+makeDirectory ${TMPDIR}/rtosdemo.x/bin
+copyFileToTmpDir "${OUTPUT_PATH}" "${TMPDIR}/${PACKAGE_TOP_DIR}bin/${OUTPUT_BASENAME}" 0755
+
+
+# Generate tar file
+cd "${TOP}"
+rm -f ${CND_DISTDIR}/${CND_CONF}/package/rtosdemo.x.tar
+cd ${TMPDIR}
+tar -vcf ../../../../${CND_DISTDIR}/${CND_CONF}/package/rtosdemo.x.tar *
+checkReturnCode
+
+# Cleanup
+cd "${TOP}"
+rm -rf ${TMPDIR}
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/configurations.xml b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/configurations.xml
new file mode 100644 (file)
index 0000000..011383d
--- /dev/null
@@ -0,0 +1,253 @@
+<?xml version="1.0" encoding="UTF-8"?>\r
+<configurationDescriptor version="62">\r
+  <logicalFolder name="root" displayName="root" projectFiles="true">\r
+    <logicalFolder name="HeaderFiles"\r
+                   displayName="Header Files"\r
+                   projectFiles="true">\r
+      <logicalFolder name="f1" displayName="FreeRTOS Source" projectFiles="true">\r
+        <itemPath>../../../Source/include/portable.h</itemPath>\r
+        <itemPath>../../../Source/include/task.h</itemPath>\r
+        <itemPath>../../../Source/include/croutine.h</itemPath>\r
+        <itemPath>../../../Source/include/FreeRTOS.h</itemPath>\r
+        <itemPath>../../../Source/include/list.h</itemPath>\r
+        <itemPath>../../../Source/include/projdefs.h</itemPath>\r
+        <itemPath>../../../Source/include/queue.h</itemPath>\r
+        <itemPath>../../../Source/include/semphr.h</itemPath>\r
+        <itemPath>../../../Source/portable/MPLAB/PIC32MZ/ISR_Support.h</itemPath>\r
+        <itemPath>../../../Source/portable/MPLAB/PIC32MZ/portmacro.h</itemPath>\r
+      </logicalFolder>\r
+      <itemPath>../FreeRTOSConfig.h</itemPath>\r
+    </logicalFolder>\r
+    <logicalFolder name="LinkerScript"\r
+                   displayName="Linker Files"\r
+                   projectFiles="true">\r
+    </logicalFolder>\r
+    <logicalFolder name="SourceFiles"\r
+                   displayName="Source Files"\r
+                   projectFiles="true">\r
+      <logicalFolder name="f1" displayName="Common Demo Source" projectFiles="true">\r
+        <itemPath>../../Common/Minimal/GenQTest.c</itemPath>\r
+        <itemPath>../../Common/Minimal/QPeek.c</itemPath>\r
+        <itemPath>../../Common/Minimal/blocktim.c</itemPath>\r
+        <itemPath>../../Common/Minimal/flash_timer.c</itemPath>\r
+        <itemPath>../../Common/Minimal/semtest.c</itemPath>\r
+        <itemPath>../../Common/Minimal/IntQueue.c</itemPath>\r
+        <itemPath>../../Common/Minimal/QueueOverwrite.c</itemPath>\r
+        <itemPath>../../Common/Minimal/QueueSet.c</itemPath>\r
+        <itemPath>../../Common/Minimal/countsem.c</itemPath>\r
+        <itemPath>../../Common/Minimal/dynamic.c</itemPath>\r
+        <itemPath>../../Common/Minimal/recmutex.c</itemPath>\r
+        <itemPath>../../Common/Minimal/EventGroupsDemo.c</itemPath>\r
+      </logicalFolder>\r
+      <logicalFolder name="FreeRTOS Source"\r
+                     displayName="FreeRTOS Source"\r
+                     projectFiles="true">\r
+        <itemPath>../../../Source/queue.c</itemPath>\r
+        <itemPath>../../../Source/tasks.c</itemPath>\r
+        <itemPath>../../../Source/list.c</itemPath>\r
+        <itemPath>../../../Source/timers.c</itemPath>\r
+        <itemPath>../../../Source/portable/MPLAB/PIC32MZ/port.c</itemPath>\r
+        <itemPath>../../../Source/portable/MPLAB/PIC32MZ/port_asm.S</itemPath>\r
+        <itemPath>../../../Source/portable/MemMang/heap_4.c</itemPath>\r
+        <itemPath>../../../Source/event_groups.c</itemPath>\r
+      </logicalFolder>\r
+      <itemPath>../main.c</itemPath>\r
+      <itemPath>../ParTest/ParTest.c</itemPath>\r
+      <itemPath>../main_blinky.c</itemPath>\r
+      <itemPath>../ConfigPerformance.c</itemPath>\r
+      <itemPath>../main_full.c</itemPath>\r
+      <itemPath>../RegisterTestTasks.S</itemPath>\r
+      <itemPath>../IntQueueTimer.c</itemPath>\r
+      <itemPath>../IntQueueTimer_isr.S</itemPath>\r
+      <itemPath>../timertest.c</itemPath>\r
+      <itemPath>../timertest_isr.S</itemPath>\r
+      <itemPath>../ISRTriggeredTask.c</itemPath>\r
+      <itemPath>../ISRTriggeredTask_isr.S</itemPath>\r
+    </logicalFolder>\r
+    <logicalFolder name="ExternalFiles"\r
+                   displayName="Important Files"\r
+                   projectFiles="false">\r
+      <itemPath>Makefile</itemPath>\r
+    </logicalFolder>\r
+  </logicalFolder>\r
+  <sourceRootList>\r
+    <Elem>../</Elem>\r
+    <Elem>../../Common/Minimal</Elem>\r
+    <Elem>../../../Source</Elem>\r
+  </sourceRootList>\r
+  <projectmakefile>Makefile</projectmakefile>\r
+  <confs>\r
+    <conf name="PIC32MZ2048_SK" type="2">\r
+      <toolsSet>\r
+        <developmentServer>localhost</developmentServer>\r
+        <targetDevice>PIC32MZ2048ECM144</targetDevice>\r
+        <targetHeader></targetHeader>\r
+        <targetPluginBoard></targetPluginBoard>\r
+        <platformTool>PKOBSKDEPlatformTool</platformTool>\r
+        <languageToolchain>XC32</languageToolchain>\r
+        <languageToolchainVersion>1.34</languageToolchainVersion>\r
+        <platform>3</platform>\r
+      </toolsSet>\r
+      <compileType>\r
+        <linkerTool>\r
+          <linkerLibItems>\r
+          </linkerLibItems>\r
+        </linkerTool>\r
+        <archiverTool>\r
+        </archiverTool>\r
+        <loading>\r
+          <useAlternateLoadableFile>false</useAlternateLoadableFile>\r
+          <parseOnProdLoad>false</parseOnProdLoad>\r
+          <alternateLoadableFile></alternateLoadableFile>\r
+        </loading>\r
+      </compileType>\r
+      <makeCustomizationType>\r
+        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>\r
+        <makeCustomizationPreStep></makeCustomizationPreStep>\r
+        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>\r
+        <makeCustomizationPostStep></makeCustomizationPostStep>\r
+        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>\r
+        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>\r
+        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>\r
+      </makeCustomizationType>\r
+      <C32>\r
+        <property key="additional-warnings" value="true"/>\r
+        <property key="enable-app-io" value="false"/>\r
+        <property key="enable-omit-frame-pointer" value="false"/>\r
+        <property key="enable-symbols" value="true"/>\r
+        <property key="enable-unroll-loops" value="false"/>\r
+        <property key="exclude-floating-point" value="false"/>\r
+        <property key="extra-include-directories"\r
+                  value="../../../Source/include;../../../Source/portable/MPLAB/PIC32MZ;../../Common/include;../"/>\r
+        <property key="generate-16-bit-code" value="false"/>\r
+        <property key="generate-micro-compressed-code" value="false"/>\r
+        <property key="isolate-each-function" value="false"/>\r
+        <property key="make-warnings-into-errors" value="false"/>\r
+        <property key="optimization-level" value=""/>\r
+        <property key="place-data-into-section" value="false"/>\r
+        <property key="post-instruction-scheduling" value="default"/>\r
+        <property key="pre-instruction-scheduling" value="default"/>\r
+        <property key="preprocessor-macros" value=""/>\r
+        <property key="strict-ansi" value="false"/>\r
+        <property key="support-ansi" value="false"/>\r
+        <property key="use-cci" value="false"/>\r
+        <property key="use-iar" value="false"/>\r
+        <property key="use-indirect-calls" value="false"/>\r
+        <appendMe value="-Wall -Wextra"/>\r
+      </C32>\r
+      <C32-AR>\r
+        <property key="additional-options-chop-files" value="false"/>\r
+      </C32-AR>\r
+      <C32-AS>\r
+        <property key="assembler-symbols" value=""/>\r
+        <property key="enable-symbols" value="true"/>\r
+        <property key="exclude-floating-point-library" value="false"/>\r
+        <property key="expand-macros" value="false"/>\r
+        <property key="extra-include-directories-for-assembler" value=""/>\r
+        <property key="extra-include-directories-for-preprocessor" value=""/>\r
+        <property key="false-conditionals" value="false"/>\r
+        <property key="keep-locals" value="false"/>\r
+        <property key="list-assembly" value="false"/>\r
+        <property key="list-source" value="false"/>\r
+        <property key="list-symbols" value="false"/>\r
+        <property key="oXC32asm-list-to-file" value="false"/>\r
+        <property key="omit-debug-dirs" value="false"/>\r
+        <property key="omit-forms" value="false"/>\r
+        <property key="preprocessor-macros" value=""/>\r
+        <property key="warning-level" value=""/>\r
+        <appendMe value="-I../../../Source/portable/MPLAB/PIC32MZ -I../"/>\r
+      </C32-AS>\r
+      <C32-LD>\r
+        <property key="additional-options-use-response-files" value="false"/>\r
+        <property key="enable-check-sections" value="false"/>\r
+        <property key="exclude-floating-point-library" value="false"/>\r
+        <property key="exclude-standard-libraries" value="false"/>\r
+        <property key="extra-lib-directories" value=""/>\r
+        <property key="fill-flash-options-addr" value=""/>\r
+        <property key="fill-flash-options-const" value=""/>\r
+        <property key="fill-flash-options-how" value="0"/>\r
+        <property key="fill-flash-options-inc-const" value="1"/>\r
+        <property key="fill-flash-options-increment" value=""/>\r
+        <property key="fill-flash-options-seq" value=""/>\r
+        <property key="fill-flash-options-what" value="0"/>\r
+        <property key="generate-16-bit-code" value="false"/>\r
+        <property key="generate-cross-reference-file" value="false"/>\r
+        <property key="generate-micro-compressed-code" value="false"/>\r
+        <property key="heap-size" value="0"/>\r
+        <property key="input-libraries" value=""/>\r
+        <property key="linker-symbols" value=""/>\r
+        <property key="map-file" value="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"/>\r
+        <property key="no-startup-files" value="false"/>\r
+        <property key="oXC32ld-extra-opts" value=""/>\r
+        <property key="optimization-level" value=""/>\r
+        <property key="preprocessor-macros" value=""/>\r
+        <property key="remove-unused-sections" value="false"/>\r
+        <property key="report-memory-usage" value="false"/>\r
+        <property key="stack-size" value=""/>\r
+        <property key="symbol-stripping" value=""/>\r
+        <property key="trace-symbols" value=""/>\r
+        <property key="warn-section-align" value="false"/>\r
+      </C32-LD>\r
+      <C32CPP>\r
+        <property key="additional-warnings" value="false"/>\r
+        <property key="check-new" value="false"/>\r
+        <property key="eh-specs" value="true"/>\r
+        <property key="enable-app-io" value="false"/>\r
+        <property key="enable-omit-frame-pointer" value="false"/>\r
+        <property key="enable-symbols" value="true"/>\r
+        <property key="enable-unroll-loops" value="false"/>\r
+        <property key="exceptions" value="true"/>\r
+        <property key="exclude-floating-point" value="false"/>\r
+        <property key="extra-include-directories" value=""/>\r
+        <property key="generate-16-bit-code" value="false"/>\r
+        <property key="generate-micro-compressed-code" value="false"/>\r
+        <property key="isolate-each-function" value="false"/>\r
+        <property key="make-warnings-into-errors" value="false"/>\r
+        <property key="optimization-level" value=""/>\r
+        <property key="place-data-into-section" value="false"/>\r
+        <property key="post-instruction-scheduling" value="default"/>\r
+        <property key="pre-instruction-scheduling" value="default"/>\r
+        <property key="preprocessor-macros" value=""/>\r
+        <property key="rtti" value="true"/>\r
+        <property key="strict-ansi" value="false"/>\r
+        <property key="use-cci" value="false"/>\r
+        <property key="use-iar" value="false"/>\r
+        <property key="use-indirect-calls" value="false"/>\r
+      </C32CPP>\r
+      <C32Global>\r
+        <property key="common-include-directories" value=""/>\r
+        <property key="gp-relative-option" value=""/>\r
+        <property key="legacy-libc" value="false"/>\r
+        <property key="relaxed-math" value="false"/>\r
+        <property key="save-temps" value="false"/>\r
+        <property key="wpo-lto" value="false"/>\r
+      </C32Global>\r
+      <PKOBSKDEPlatformTool>\r
+        <property key="AutoSelectMemRanges" value="auto"/>\r
+        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>\r
+        <property key="ToolFirmwareFilePath"\r
+                  value="Press to browse for a specific firmware version"/>\r
+        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>\r
+        <property key="memories.configurationmemory" value="false"/>\r
+        <property key="memories.dataflash" value="true"/>\r
+        <property key="memories.eeprom" value="false"/>\r
+        <property key="memories.id" value="false"/>\r
+        <property key="memories.programmemory" value="true"/>\r
+        <property key="memories.programmemory.end" value="0x1d1fffff"/>\r
+        <property key="memories.programmemory.start" value="0x1d000000"/>\r
+        <property key="memories.userotp" value="true"/>\r
+        <property key="poweroptions.powerenable" value="false"/>\r
+        <property key="programoptions.donoteraseauxmem" value="false"/>\r
+        <property key="programoptions.eraseb4program" value="true"/>\r
+        <property key="programoptions.preservedataflash" value="false"/>\r
+        <property key="programoptions.preserveeeprom" value="false"/>\r
+        <property key="programoptions.preserveprogramrange" value="false"/>\r
+        <property key="programoptions.preserveprogramrange.end" value="0x1d0007ff"/>\r
+        <property key="programoptions.preserveprogramrange.start" value="0x1d000000"/>\r
+        <property key="programoptions.usehighvoltageonmclr" value="false"/>\r
+        <property key="programoptions.uselvpprogramming" value="false"/>\r
+        <property key="voltagevalue" value="3.25"/>\r
+      </PKOBSKDEPlatformTool>\r
+    </conf>\r
+  </confs>\r
+</configurationDescriptor>\r
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/configurations.xml b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/configurations.xml
new file mode 100644 (file)
index 0000000..0e985ef
--- /dev/null
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>\r
+<configurationDescriptor version="62">\r
+  <projectmakefile>Makefile</projectmakefile>\r
+  <defaultConf>0</defaultConf>\r
+  <confs>\r
+    <conf name="PIC32MZ2048_SK" type="2">\r
+      <platformToolSN></platformToolSN>\r
+      <languageToolchainDir>C:\DevTools\Microchip\xc32\v1.34\bin</languageToolchainDir>\r
+      <mdbdebugger version="1">\r
+        <placeholder1>place holder 1</placeholder1>\r
+        <placeholder2>place holder 2</placeholder2>\r
+      </mdbdebugger>\r
+      <runprofile version="6">\r
+        <args></args>\r
+        <rundir></rundir>\r
+        <buildfirst>true</buildfirst>\r
+        <console-type>0</console-type>\r
+        <terminal-type>0</terminal-type>\r
+        <remove-instrumentation>0</remove-instrumentation>\r
+        <environment>\r
+        </environment>\r
+      </runprofile>\r
+    </conf>\r
+  </confs>\r
+</configurationDescriptor>\r
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/private.xml b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/private/private.xml
new file mode 100644 (file)
index 0000000..6482b93
--- /dev/null
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?><project-private xmlns="http://www.netbeans.org/ns/project-private/1">\r
+    <editor-bookmarks xmlns="http://www.netbeans.org/ns/editor-bookmarks/1"/>\r
+    <open-files xmlns="http://www.netbeans.org/ns/projectui-open-files/1">\r
+        <file>file:/C:/E/Dev/FreeRTOS/WorkingCopy/FreeRTOS/Demo/PIC32MZ_MPLAB/main.c</file>\r
+        <file>file:/C:/E/Dev/FreeRTOS/WorkingCopy/FreeRTOS/Demo/PIC32MZ_MPLAB/main_blinky.c</file>\r
+        <file>file:/C:/E/Dev/FreeRTOS/WorkingCopy/FreeRTOS/Demo/PIC32MZ_MPLAB/main_full.c</file>\r
+    </open-files>\r
+</project-private>\r
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.properties b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.properties
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.xml b/FreeRTOS/Demo/PIC32MZ_MPLAB/RTOSDemo.X/nbproject/project.xml
new file mode 100644 (file)
index 0000000..50cee77
--- /dev/null
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?><project xmlns="http://www.netbeans.org/ns/project/1">\r
+    <type>com.microchip.mplab.nbide.embedded.makeproject</type>\r
+    <configuration>\r
+        <data xmlns="http://www.netbeans.org/ns/make-project/1">\r
+            <name>RTOSDemo</name>\r
+            <creation-uuid>55ff5cee-2e70-4454-810e-9beac606f4f5</creation-uuid>\r
+            <make-project-type>0</make-project-type>\r
+            <c-extensions>c</c-extensions>\r
+            <cpp-extensions/>\r
+            <header-extensions>h</header-extensions>\r
+            <sourceEncoding>ISO-8859-1</sourceEncoding>\r
+            <asminc-extensions/>\r
+            <make-dep-projects/>\r
+        </data>\r
+    </configuration>\r
+</project>\r